#ifndef CONFIGUREVIEW_H
#define CONFIGUREVIEW_H

/*
	Balance plugin for SoundPlay.
	(C) 2000, Tim Vernum <tpv@users.sourceforge.net>
	May be used freely in any SoundPlay plugin
*/

class BMessage ;

#include "MBorder.h"
class MPopup ;
class MCheckBox ;

namespace SoundPlay
{
	namespace Plugins
	{
		namespace Balance
		{
			class ConfigureView : public MBorder
			{
				typedef MBorder inherited ;
				public:
					ConfigureView( void * data, BMessage * msg, bool deleteMsg ) ;
					~ConfigureView( void ) ;
				
					void MessageReceived( BMessage * ) ;
					
				private:
					void      * data ;
					BMessage  * message ;
					bool		deleteMessage ;
					MPopup    * sliderCount ;
					MCheckBox * rebalance ;
					bool        dismissedOK ;
			} ;
		}
	}
}			
			
#endif

