#include "XMessage.h"

/*
	Balance plugin for SoundPlay.
	(C) 2000, Tim Vernum <tpv@users.sourceforge.net>
	May be used freely in any SoundPlay plugin
*/

#include <Message.h>

namespace Extensions
{
	namespace Message
	{
		status_t SetInt32( BMessage * message , const char * name, int32 value )
		{
			if( message->HasInt32( name ) )
				return message->ReplaceInt32( name, value ) ;
			else
				return message->AddInt32( name, value ) ;
		}

		status_t SetFloat( BMessage * message , const char * name, float value )
		{
			if( message->HasFloat( name ) )
				return message->ReplaceFloat( name, value ) ;
			else
				return message->AddFloat( name, value ) ;
		}
	}
}
